id: fortiswitch-panel

info:
  name: Fortiswitch Panel - Detect
  author: rxerium
  severity: info
  description: |
    Fortiswitch panel was detected.
  metadata:
    verified: true
    max-request: 1
    vendor: fortinet
    product: fortiswitch
    fofa-query: app="FortiSwitch"
  tags: login,panel,fortiswitch

http:
  - method: GET
    path:
      - '{{BaseURL}}/login'

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "<title>FortiSwitch"

      - type: status
        status:
          - 200
# digest: 4a0a00473045022100aafee93289287886d6de2254fe763ce2bf5aa5b7a47a8e71dfef2180d42027cd022050c80b47caa79588b2a78d16a3c7ab2ed553920c9c118b55da819134d3dd62d7:922c64590222798bb761d5b6d8e72950